Introduction

This is a wxPython gui plugin for leo and is being developed by Plumloco from the original prototype written by Edward.

It is very incomplete at the moment but it is just about usable.

Priority is being given to getting this plugin right for linux, so it may or may not work on windows at any particular time.

To try it out add __wx_alt_gui.py as the very first plugin to be loaded and disable all others except those listed below.

WARNING

__wx_alt_gui is incomplete and all features are subject to continuous change. It should NOT be entrusted with anything important.

Requirements:

  • Python 2.4 plus
  • wxPython 2.8.7 plus
  • threading_colorizer pugin

Use:

__wx_alt_gui.py should appear as the FIRST item in the list of enabled plugins.

All other plugins, except those named below, should be dissabled.

These plugins are believed to be compatible with __wx_alt_gui.py:

  • threading_colorizer.py (>=1.4)
  • plugins_menu.py (>=1.15)
  • leo_to_dhtml.py
  • mod_http.py
  • mod_scripting.py
  • mod_tempfname.py
  • nav_buttons.py
  • datenodes.py
  • open_with.py
  • rst3.py
  • UNL.py
  • vim.py

Other plugins might also be compatible if they use only menus and standard leo dialogs.

Status

At the moment I am in a bad place with regards to this plugin, I seem to have a mental block. So I am nibbling around the edges, hoping motivation will return and that when (if) I finally get around to fixing it, a lot of the other stuff, like making plugins compatible with it, will already have been done.